mxTerminalChangeCodec (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.io
Class mxTerminalChangeCodec

    java.lang.Object
      com.mxgraph.io.mxObjectCodec
          com.mxgraph.io.mxTerminalChangeCodec

    public class mxTerminalChangeCodec

extends mxObjectCodec

Codec for mxChildChanges. This class is created and registered dynamically at load time and used implicitely via mxCodec and the mxCodecRegistry.

Field Summary

Fields inherited from class com.mxgraph.io.mxObjectCodec
`accessors, exclude, fields, idrefs, mapping, reverse, template`

Constructor Summary
`mxTerminalChangeCodec()` Constructs a new model codec.
`mxTerminalChangeCodec(Object template, String[] exclude, String[] idrefs, Map<String,String> mapping)` Constructs a new model codec for the given arguments.

Method Summary
`Object` | `afterDecode(mxCodec dec, Node node, Object obj)` Hook for subclassers to post-process the object after decoding.

Methods inherited from class com.mxgraph.io.mxObjectCodec
`addObjectValue, afterEncode, beforeDecode, beforeEncode, cloneTemplate, convertValueFromXml, convertValueToXml, decode, decode, decodeAttribute, decodeAttributes, decodeChild, decodeChildren, decodeNode, encode, encodeElements, encodeFields, encodeObject, encodeValue, getAccessor, getAttributeName, getField, getFieldName, getFieldTemplate, getFieldValue, getFieldValueWithAccessor, getMethod, getName, getTemplate, isExcluded, isPrimitiveValue, isReference, processInclude, setFieldValue, setFieldValueWithAccessor, writeAttribute, writeComplexAttribute, writePrimitiveAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxTerminalChangeCodec

    public mxTerminalChangeCodec()

  Constructs a new model codec.

### mxTerminalChangeCodec

    public mxTerminalChangeCodec(Object template,
                                 String[] exclude,
                                 String[] idrefs,
                                 Map<String,String> mapping)

  Constructs a new model codec for the given arguments.

Method Detail

### afterDecode

    public Object afterDecode(mxCodec dec,
                              Node node,
                              Object obj)

  Description copied from class: `mxObjectCodec`
  Hook for subclassers to post-process the object after decoding. This implementation returns the given object without any changes. The return value of this method is returned to the decoder from `mxObjectCodec.decode(mxCodec, Node)`.

  Overrides:
    `afterDecode` in class `mxObjectCodec`
  Parameters:
    `dec` - Codec that controls the decoding process.
    `node` - XML node to be decoded.
    `obj` - Object that represents the default decoding.
  Returns:
    Returns the result of the decoding process.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.